package dstack;

import interfaces.IStateSet;
import interfaces.StatAggregator;

import java.io.IOException;

import protocol.Message;
import protocol.MsgType;
import protocol.TCPServeurMessage;

public class StateSetService extends TCPServeurMessage implements Cloneable {

	private IStateSet concreteNSS_;

	public StateSetService(IStateSet nss_) {
		concreteNSS_ = nss_;
	}

	public void gereClient() {
		try {
			while (true) {
				Message m = getMessage();
				switch (m.head) 
				{
				case  IS_EMPTY_REQ : {					
					if (concreteNSS_.isEmpty())
						sendMessage(new Message(MsgType.ACK_OK));
					else
						sendMessage(new Message(MsgType.ACK_NOK));					
					break;
				}

				// PUSH / POP NOT IMPLEMENTED YET

				case STATS_REQ :  {
					StatAggregator s = new StatAggregator();
					concreteNSS_.getStats(s);
					sendMessage(new Message(MsgType.STATS_RESP,s));
					break;
				}
				}// end switch
			} // end forever loop
		} catch (IOException e){
			return;
		}

	}



		
}


