package libpetri.structure;

import libpetri.structure.arcs.Function;
import libpetri.structure.state.PlaceState;


public class TestDomains {

	public static void main(String[] args) {
		StringBuffer clinames = new StringBuffer(32);
		for (int i=0; i < 3 ; i++)
			clinames.append("c"+i+",");
		clinames.deleteCharAt(clinames.length()-1);
		TypeDef clients = new TypeDef("cli",clinames.toString());
		Domain xclients = new Domain("clients");
		xclients.add(clients);
		PlaceState ps = new PlaceState(xclients.getDims());
		int [] tok = new int[xclients.getDims().length];
		for (int i =1; i<clients.size();i++){
			tok[0]=i;
			ps.add(tok, 1);
		}
		System.out.println(ps);
		System.out.println(ps.toString(xclients));
		int [] bindings = new int[0];
		Function f = new Function(xclients.getDims());
		for (int i=1; i < 3 ; i++) {
			
			tok[0]=i;
			f.add(tok,1);
			PlaceState tf = f.eval(bindings);
			boolean fireable = ps.containsAll(tf);
			System.out.println("isFireable "+tf.toString(xclients)+" :"+fireable);
			if (fireable) {
				//Tensor ps2 = ps.t.copy();
				ps.removeAll(tf);
				System.out.println("after firing : " +ps.toString(xclients));
			}
		}
	}

}
