package libpetri.test.philo;

import libpetri.structure.Net;
import libpetri.structure.Visibility;
import libpetri.structure.arcs.ArcType;


public class Fork extends Net {

	public Fork(String name) {
		super(name);
		
		createPlace("fork");
		setPlaceState("fork","1");
		
		createTransition("get",Visibility.PUBLIC);
		createArc("fork", "get", ArcType.INPUT);
		
		createTransition("put",Visibility.PUBLIC);
		createArc("fork", "put", ArcType.OUTPUT);
	}

	public static void main(String[] args) {
		Fork f = new Fork("f");
		System.out.println(f);
	}
	
}
