package libpetri.test.philo;

import libpetri.structure.Net;
import libpetri.structure.Visibility;

public abstract class PhiloTable extends Net {


	public abstract Net createPFcomponent() ;
	
	
	public PhiloTable(String name) {
		super(name);
		
		createComponent(createPFcomponent());

		createSynchronization("putLoop", Visibility.PRIVATE);
		addSynchronize("putLoop", "pf.put");
		addSynchronize("putLoop", "pf.finishEat");
		
		createSynchronization("getLoop", Visibility.PRIVATE);
		addSynchronize("getLoop", "pf.get");
		addSynchronize("getLoop", "pf.getLeft");
		
	}

	
	
}
