package micropilot;

public class ServiceResult {
	
	private static final Level defaultLevel = Level.STATISTIC;
	protected int macaoNum =0;
	String result ;
	// the level of this result : stat, warn or error
	protected Level level;
	
	public ServiceResult(String desc) {
		this(0,desc, defaultLevel);
	}
	public ServiceResult(int id) {
		this(id,"", defaultLevel);
	}

	public ServiceResult(int id, String desc, Level l) {
		macaoNum = id;
		result = desc;
		level = l;
	}
	public int getMacaoNum() {
		return macaoNum;
	}
	
	public String toString() {
		return result+ "\n";
	}
	public String getDescription() {
		return toString();
	}
	public Level getLevel() {
		return level;
	}
}
