package protocol;

public enum MsgType {
	// Basics for trace
	ACK_OK,	ACK_ERROR, ACK_NOK,
	// For state manager
	// 	void processState (IState s);
	PROCESS_STATE, 
	// Iterator<IState> elements(); Not implemented as is in network uses callback
	ELEMENTS_REQ,
	ELEMENTS_RESP,

	// For StateSet : 
	// POP/ PUSH : no implem yet
	// IState popState () throws InterruptedException;
	// void pushState (IState s);	
	// boolean isEmpty ();
	//	 replies state and msg sent / recv totals
	IS_EMPTY_REQ,
	IS_EMPTY_RESP,
	// for activity monitor : register a wait_until thread : returns ACK_OK
	//public void waitUntilActive () throws InterruptedException;
	//public void waitUntilInactive () throws InterruptedException;
	WAIT_UNTIL_ACTIVE,
	WAIT_UNTIL_INACTIVE,
	// public boolean isActive();
	IS_ACTIVE_REQ, 
	// Istatistics interface
	STATS_REQ,STATS_RESP,
	
	// For Firing Manager 
	// public void startGeneration();
	//	 public void processInitialState();
	START_GEN_REQ, PROCESS_INITIAL_REQ, QUIT
	

	
	
};
	

