package transform;

import micropilot.Level;
import micropilot.ServiceResult;

import org.eclipse.uml2.uml.Element;

public class UMLVerificationResult implements IVerificationResult {

	private Element targetElement;
	private ServiceResult vr;

	public UMLVerificationResult(ServiceResult vr, ITrace<Element,Integer> trace) {
		this.vr = vr;
		this.targetElement = trace.getSource(vr.getMacaoNum());
	}

	public String getDescription() {
		return vr.getDescription();
	}

	public Level getSeverityLevel() {
		return vr.getLevel();
	}

	public Element getTargetElement() {
		return targetElement;
	}
	
}
