package activity;

import gui.Configuration;
import interfaces.StatAggregator;

import java.io.IOException;
import java.util.Timer;
import java.util.TimerTask;

public class MonitorTest {

	public static void main(String[] args) {
		Configuration c;

		try {
			c = new Configuration();
			c.loadConfiguration("local.dmc");
			Configuration.setConf(c);
		} catch (IOException e) {
			e.printStackTrace();
		}

		final ActivityListenerMultiProxy control = new ActivityListenerMultiProxy(Configuration.getConf().getNbNodes());

		Timer t = new Timer(true);
		class StatThread extends TimerTask {
			StatAggregator stats = new StatAggregator();
			@Override
			public void run() {				
				stats.clear();
				control.getStats(stats);
				System.out.println(stats);			
			}

		}

		TimerTask tt = new StatThread();
		t.schedule(tt,3000,3000);

		//		System.out.println("Finished ! \n Stats : " + control.getStatistics());
	}

}
