package cami;

public enum CAMI {
	CI,
	DI,
	FC, // Fin de connexion
	FI,
	FS, // fin session
	MS,
	OC,
	OS,
	PQ, // *Q : Question = menus
	RS,
	SC,
	TD,FA,TL,VI,DQ,
	TQ, // Transmission d'un etat du service en cours de realisation
	CQ, // Creation du noeud racine de l'arbre des services
	AQ, // Ajout d'un service dans l'arbre des services
	FQ, // Fin de la transmission d'un menu de services
	VQ, // Affichage d'un menu (premiere construction a l'aide de AQ)
	QQ, // Le menu est mis a jour !  fin dialogue (de sourd) menu
	KO, // Fermeture brutale de la connexion
	WN, // Message de Warning
	TR, // Message de Trace
	MO, // Message d'Information
	DF, // Demande du contenu d'un modele
	DR, // Debut de la transmission d'une reponse d'un outil
	FR, // Fin de la transmission d'une reponse a un service
	RQ, // Designation de la question a laquelle on repond
	DE, // Debut d'un ensemble de resultats 
	RT, // Transmission d'un resultat textuel mono-ligne
	RO, // Designation d'un objet associe au resultat dans un ensemble
	ME, // Mise en evidence d'un obet Coloane
	FE, // Fin d'ensemble de resultats ou d'objets transmis
	DC, // Debut de transmission de la definition d'une boite de dialogue
	CE, // Creation d'un dialogue
	DS, // Suite de la construction d'une boite de dialogue
	FF, // Fin de la transmission d'une boite de dialogue
	AD,	// Affichage dune boite de dialogue referencee par un identifiant unique
	DB, // Debut de transmission d'un modele
	CN,CB,CA,CT,CM,PO,PT,PI, // construction de modele
	FB, // Fin de la transmission d'un modele
	FL,
	EOS // End Of Session 
	,DT, FT, OB,XA, AT, ZA,MT; 

	public static CAMI find(String cmdString) {
		for (CAMI c : values()) {
			if (cmdString.equals(c.name()))
				return c;
		}
		return null;
	} 

}
