package interfaces;

import java.io.Serializable;
import java.util.ArrayList;

public class StatAggregator  implements Serializable {


	private static final long serialVersionUID = 4100140430823611770L;
	ArrayList<Object> statsTab_ = new ArrayList<Object>();
	
	public String toString()  {
		return statsTab_.toString();
	}
	
	public void agregate(Object s) {
		synchronized (statsTab_) {
			statsTab_.add(s);
		}
	}

	public void clear() {		
		synchronized (statsTab_) {
			statsTab_.clear();
		}
	}

}
