package libpetri.structure;

import java.util.Enumeration;

import libpetri.nets.ISymmetricNet;
import libpetri.structure.state.State;

public interface ITransition extends INode {

	public BindingSet isEnabled(State s, BindingSet bs);
	
	public BindingSet getPotentialBindings();
			
	public void fire(State s, int [] bind);

	public Enumeration<State> getSuccessors (State s, BindingSet bs);
	
	public Visibility getVis();

	public void flatten(ISymmetricNet receiver,String alias);

	public String getName();

}