package libpetri.structure;


public class Place extends Node {

	private Domain dom;

	public Place(String name) {
		super(name);
		dom = Domain.getNullDomain();
	}

	
	public Place(String place, Domain domain) {
		super(place);
		dom = domain;
	}


	public Domain getDom() {
		return dom;
	}
	
	public void setDom(Domain dom) {
		this.dom = dom;
	}
	
	public String toString() {
		String ret = "\n\tplace "+ name;
		if (dom != Domain.getNullDomain())
			ret +=  " ( "+dom.getName()+" ) ";
		ret += ";";
		return ret;
	}
}
