package libpetri.structure.state;

import libpetri.structure.Net;
import libpetri.structure.Place;

public interface State extends Comparable<State> {

	public void addToPlaceState(Place p, PlaceState value);

	public void removeFromPlaceState(Place p, PlaceState value);

	// TODO : setPlaceState, use add and remove for now
	
	public State copy() ;

	public PlaceState getPlaceState(Place p);

	public String toString(Net n);

	public State getComponentState(int i);

	public void setComponentState(int i, State s);

	public State unique(Net net);

}
