package multi;

import basic.FiringManagerThread;
import interfaces.IFiringManager;
import interfaces.IModelFactory;
import interfaces.IStateManager;
import interfaces.IStateSet;

public class FiringManagerMultiThread extends FiringManagerMulti implements
		IFiringManager {

	private IModelFactory mf_;
	private IStateManager sm_;
	private IStateSet nss_;

	public FiringManagerMultiThread(IStateSet nss, IStateManager sm, IModelFactory mf,int nbthreads) {
		super(nbthreads);
		mf_= mf;
		sm_ = sm;
		nss_ = nss;
	}

	
	protected IFiringManager createFiringManager(int i) {
		return new FiringManagerThread(nss_,sm_,mf_);
	}

}
