package protocol;

import java.io.IOException;
import java.util.Collection;

public class SelectiveMessageTCPClient extends TCPClientMessage implements
		ISelectiveMessageConnection {

	
	private SelectiveMessageConnection smc;

	public SelectiveMessageTCPClient() {
		
	}
	
	public void connect () throws IOException {
		super.connect();
		smc = new SelectiveMessageConnection (this);
		smc.startHandler();
	}
	
	public Message getMessageByType(Collection<MsgType> t)
			throws InterruptedException {
		return smc.getMessageByType(t);
	}

}
