package simple;

import java.io.Serializable;

import interfaces.IState;

public class IntegerState implements IState,Serializable {
	
	private static final long serialVersionUID = -853178155037132514L;
	private int state;

	IntegerState (int i) {
		state = i;
	}
	public String toString () {
		return "state " + Integer.toString(state) ;
	}
	public int value() {
		return state;
	}
	
	public int hashCode() {
		return state*23;		
	}
	
	public boolean equals(Object o)  {
		return ((IntegerState)o).state == state;
	}
}
