package transform.gui;

import java.awt.GridLayout;
import java.util.Collection;
import java.util.HashMap;
import java.util.Vector;

import javax.swing.JCheckBox;
import javax.swing.JPanel;

import micropilot.Service;


public class FKServiceRunner extends JPanel {

	HashMap<Service,JCheckBox> map= new HashMap<Service, JCheckBox>();
	
	public FKServiceRunner() {
		super (new GridLayout(Service.values().length,1));
		for (Service s : Service.values()) {
			JCheckBox but = new JCheckBox(s.toString());
			map.put(s,but);
			add (but);
		}
	}
	
	public Collection<Service> getSelectedServices () {
		Vector<Service> v = new Vector<Service> ();
		for (Service s : Service.values()) {
			JCheckBox but = map.get(s);
			if (but.isSelected()) 
				v.add(s);
		}
		return v;
	}

}
